﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TrueDBGrid_RowNumbering
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            c1TrueDBGrid1.DataSource = GetTable();
            c1TrueDBGrid1.FilterBar = true;
            C1.Win.C1TrueDBGrid.C1DataColumn Col = new C1.Win.C1TrueDBGrid.C1DataColumn();
            C1.Win.C1TrueDBGrid.C1DisplayColumn dc;
            c1TrueDBGrid1.AlternatingRows = true;
            c1TrueDBGrid1.Columns.Insert(0, Col);
           
            Col.Caption = "";
            dc = c1TrueDBGrid1.Splits[0].DisplayColumns[""];

            dc.Locked = true;
            dc.Style.BackColor = Color.Bisque;
           
            dc.Width = 15;
            // Move the newly added column to leftmost position in the grid.
            c1TrueDBGrid1.Splits[0].DisplayColumns.RemoveAt(c1TrueDBGrid1.Splits[0].DisplayColumns.IndexOf(dc));
            c1TrueDBGrid1.Splits[0].DisplayColumns.Insert(0, dc);
            dc.Visible = true;
            c1TrueDBGrid1.Rebind(true);
            c1TrueDBGrid1.UnboundColumnFetch += C1TrueDBGrid1_UnboundColumnFetch;
        }

        private void C1TrueDBGrid1_UnboundColumnFetch(object sender, C1.Win.C1TrueDBGrid.UnboundColumnFetchEventArgs e)
        {
            e.Value =(e.Row + 1).ToString();
        }

        static DataTable GetTable()
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            // Here we add five DataRows.
            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);
            return table;
        }
    }
}
